aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-12 14:17:25 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-12 14:17:25 -0500
commit630b76c8033336ab7d6a3d205249151a6fdfe498 (patch)
tree0958f5188c13ba9ecf342262edc1f93b4177a045
parent9faaf2c6ac30908d479470aada4c9c8d8473789c (diff)
Add section for building chapter9.
-rw-r--r--insidechroot.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/insidechroot.sh b/insidechroot.sh
index 08eada0..f92e65e 100644
--- a/insidechroot.sh
+++ b/insidechroot.sh
@@ -39,6 +39,20 @@ elif [[ "${CHAPTER}" -eq 8 ]]; then
fi
done
+elif [[ "${CHAPTER}" -eq 9 ]]; then
+
+ # Chapter 9
+ printf "%b" "\n${IWHT}============ ${IGRN}Building ${IYLW}Chapter 9${IWHT} \
+============${RST}\n"
+
+ for package in lfs-bootscripts; do
+ source packageinstall.sh 9 $package
+ retval=$?
+ if [[ "${retval}" -ne 0 ]]; then
+ exit 1
+ fi
+ done
+
else
- printf "%b" "Do Chapter 9 and 10 stuff here.\n"
+ printf "%b" "Do Chapter 10 stuff here.\n"
fi